summaryrefslogtreecommitdiff
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 0000000..c395bf4
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,24 @@
+pkgname=pm-utils-git
+pkgver=$(date +%s)
+pkgrel=$(git log --pretty=format:%h |head -n 1)
+pkgdesc="Utilities and scripts for suspend and hibernate power management"
+arch=('i686' 'x86_64')
+url="http://pm-utils.freedesktop.org"
+license=('GPL')
+conflicts=('pm-utils')
+provides=('pm-utils')
+depends=('bash' 'procps' 'vbetool' 'pm-quirks')
+optdepends=('upower')
+makedepends=('xmlto' 'docbook-xml' 'docbook-xsl' 'git')
+source=()
+md5sums=()
+
+build() {
+ cd ..
+ ./autogen.sh
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var || return 1
+ make || return 1
+ make DESTDIR="${pkgdir}" install || return 1
+} \ No newline at end of file